Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.xml.ws.soap
Annotation Type MTOM

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    @WebServiceFeatureAnnotation(id="http://www.w3.org/2004/08/soap/features/http-optimization",
                                 bean=MTOMFeature.class)
    public @interface MTOM

This feature represents the use of MTOM with a web service.

The following describes the affects of this feature with respect to being enabled or disabled:

- ENABLED: In this Mode, MTOM will be enabled.
- DISABLED: In this Mode, MTOM will be disabled

The `threshold()` property can be used to set the threshold value used to determine when binary data should be XOP encoded.

Since:
  JAX-WS 2.1

Optional Element Summary
`boolean` | `enabled` Specifies if this feature is enabled or disabled.
`int` | `threshold` Property for MTOM threshold value.

### enabled

    public abstract boolean enabled

  Specifies if this feature is enabled or disabled.

  Default:
    true

### threshold

    public abstract int threshold

  Property for MTOM threshold value. When MTOM is enabled, binary data above this size in bytes will be XOP encoded or sent as attachment. The value of this property MUST always be >= 0. Default value is 0.

  Default:
    0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.